Bug 348051 - Port python-ldap to use NSS library for cryptography
Port python-ldap to use NSS library for cryptography
Product: Fedora
Classification: Fedora
Component: python-ldap (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks: CryptoConsolidation
  Show dependency treegraph
Reported: 2007-10-23 06:22 EDT by Peter Vrabec
Modified: 2016-04-20 06:04 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-04-20 06:04:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Peter Vrabec 2007-10-23 06:22:24 EDT
python-ldap should be ported to use NSS library for cryptography.
See the tracking bug for details and links on how it could be done.
Comment 1 Matthew Barnes 2008-03-16 18:08:36 EDT
There is no chance I'm going to do this myself.  Someone else can pick this up,
or else forward it on to the upstream authors.  Reassigning to the reporter.
Comment 2 Bug Zapper 2008-11-26 03:04:15 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Fedora Admin XMLRPC Client 2012-01-02 11:47:10 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 4 Petr Spacek 2016-04-20 06:04:14 EDT
This is not going to happen. It is a lot of work with questionable benefit. Hopefully https://fedoraproject.org/wiki/Changes/CryptoPolicy will solve most if user-visible problems.

Note You need to log in before you can comment on or make changes to this bug.